--- /dev/null
+#!/bin/bash
+#
+# Copyright: George Milescu 2010 - george.milescu@gmail.com
+#
+
+if test $# -ne 2; then
+ echo "Usage: $0 host port" 1>&2
+ exit 1
+fi
+
+# Read the global configuration variables
+source ../ConfigFiles/globalconfig.txt
+
+host=$1
+port=$2
+
+echo "Syncing $host $port"
+rsync -avP --del --rsh='ssh -p'$port $P2P_NEXT_REL_PATH/P2P-Testing-Infrastructure/ControlScripts p2p@$host:/home/p2p/george/P2P-Testing-Infrastructure/ > /dev/null
+rsync -avP --del --rsh='ssh -p'$port $P2P_NEXT_REL_PATH/P2P-Testing-Infrastructure/ConfigFiles p2p@$host:/home/p2p/george/P2P-Testing-Infrastructure/ > /dev/null